zookeeper-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From rakeshadr <...@git.apache.org>
Subject [GitHub] zookeeper pull request #181: ZOOKEEPER-2706: checkstyle broken on branch-3.4
Date Wed, 22 Mar 2017 09:53:08 GMT
Github user rakeshadr commented on a diff in the pull request:

    https://github.com/apache/zookeeper/pull/181#discussion_r107370339
  
    --- Diff: ivy.xml ---
    @@ -58,7 +58,7 @@
         <dependency org="junit" name="junit" rev="4.8.1" conf="test->default"/>
          <dependency org="org.mockito" name="mockito-all" rev="1.8.2"
                    conf="test->default"/>
    -    <dependency org="checkstyle" name="checkstyle" rev="5.0"
    +    <dependency org="com.puppycrawl.tools" name="checkstyle" rev="6.13"
    --- End diff --
    
    Thank you @afine for the patch. I could see checkstyle version "6.13" resulting errors
when running with Java 1.6, should we consider java1.6?
    
    `https://zookeeper.apache.org/doc/r3.4.9/zookeeperAdmin.html#sc_supportedPlatforms`
    
    ```
    /home/max/Projects/zk/git/b-3.4/build.xml:1592: java.lang.UnsupportedClassVersionError:
com/puppycrawl/tools/checkstyle/ant/CheckstyleAntTask : Unsupported major.minor version 51.0
            at java.lang.ClassLoader.defineClass1(Native Method)
            at java.lang.ClassLoader.defineClassCond(ClassLoader.java:637)
    
    ```


---
If your project is set up for it, you can reply to this email and have your
reply appear on GitHub as well. If your project does not have this feature
enabled and wishes so, or if the feature is enabled but not working, please
contact infrastructure at infrastructure@apache.org or file a JIRA ticket
with INFRA.
---

Mime
View raw message